<?php
/*
Plugin Name: external_link_rewriter
Plugin URI: http://blog.elearning.co.jp/
Description: Modify target attributes of A-tags that link to external addresses
Author: Yoichiro Nishimura
Version: 1
Author URI: http://elearning.co.jp/
*/

function external_link_rewriter() {
echo <<<EOT
<script src="http://www.google.com/jsapi"></script>
<script>
if(typeof jQuery === "undefined"){google.load("jquery", "1.3.2");}
</script>
<script>
jQuery(document).ready( function () {
jQuery('a[href^=http]').not('[href*="'+location.hostname+'"]').attr('target','_blank');
})
</script>
EOT;
}
add_action('wp_head', 'external_link_rewriter');
?>